For the complete documentation index, see llms.txt. This page is also available as Markdown.

Object Parts

Get object parts

get
/object_parts/

This api is used to sync object parts with WorkorderApp. The result can be filtered by using the advanced filter. As described in the introduction section. Allowed columns: opr_obj_code opr_prt_code opr_serial_number Each object_part record can contain the following data:

Parameter
Description
Required
Type (size)

opr_obj_code

Object code

Y

Varchar (255)

opr_prt_code

Object part (Artikelcode from items in materials)

Y

Varchar (255)

opr_serial_number

Serial number of parts used in object

N

Varchar (255)

opr_amount

Amount of parts used in object

Y

Int (10)

opr_timestamp_installation

Date of installing (Y-m-d)

N

Date

opr_warranty_months

Amount of months, used to calculate expiration date.

N

Int (10)

opr_timestamp_warranty_expires

Warranty expiration date, automatically calculated based on installation date and the warranty months

N

Varchar (255)

val_value_1

Freefield value 1

N

Varchar (255)

val_value_2 - val_value_20

Freefield value 2 till 20

N

Varchar (255)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

get/object_parts/
GET /object_parts/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Add object parts

post
/object_parts/

This api is used to sync object parts with WorkorderApp. The result can be filtered by using the advanced filter. As described in the introduction section. Allowed columns: opr_obj_code opr_prt_code opr_serial_number Each object_part record can contain the following data:

Parameter
Description
Required
Type (size)

opr_obj_code

Object code

Y

Varchar (255)

opr_prt_code

Object part (Artikelcode from items in materials)

Y

Varchar (255)

opr_serial_number

Serial number of parts used in object

N

Varchar (255)

opr_amount

Amount of parts used in object

Y

Int (10)

opr_timestamp_installation

Date of installing (Y-m-d)

N

Date

opr_warranty_months

Amount of months, used to calculate expiration date.

N

Int (10)

opr_timestamp_warranty_expires

Warranty expiration date, automatically calculated based on installation date and the warranty months

N

Varchar (255)

val_value_1

Freefield value 1

N

Varchar (255)

val_value_2 - val_value_20

Freefield value 2 till 20

N

Varchar (255)

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

post/object_parts/
POST /object_parts/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Last updated

Was this helpful?